//Pagelib.js

//Stellt Methoden zur Verwaltung der HTML-Seite

function getQueryVariable(variable) {
//Sucht in den GET-bergabeparametern nach Variablen und gibt deren 
//Wert zurck
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for (var i=0;i<vars.length;i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) {
        return pair[1];
        }
    }
}

function setNewParameter()
{ //Ruft die Seite erneut mit den vernderten Parametern auf
    location.replace(window.location.pathname +"?timespan="+ (document.getElementById('sTimeSpan').selectedIndex) + 
    "&reference=" + document.getElementById('sReference').options[document.getElementById('sReference').selectedIndex].value);
}

function setTimeSpan(ListBoxID)
{ // Setzt die Auswahl in der Listbox auf den bergabeparameter
//und bergibt den Wert an das Diagramm / POJlib.js
    if(getQueryVariable("timespan") % 1 === 0 )
    {
        if(getQueryVariable("timespan") > 30)
        { //Verhindert das zu groe Werte bergeben werden
           oChart.TimeSpanInDays = 30;
           document.getElementById(ListBoxID).selectedIndex = 29; 
        }
        else if(getQueryVariable("timespan") < 1)
        {
            oChart.TimeSpanInDays = 1;
            document.getElementById(ListBoxID).selectedIndex = 0;
        }
        else
        {            
            oChart.TimeSpanInDays = parseInt(getQueryVariable("timespan")) + 1;
            document.getElementById(ListBoxID).selectedIndex = getQueryVariable("timespan"); 
        }

    }
    else
    {
      document.getElementById(ListBoxID).selectedIndex = 13;  
    }
    
}

function setReference(ListBoxID)
{    // Setzt die Auswahl des Bezugswertes in der Listbox auf 
//den bergabeparameter und bergibt den Wert an das Diagramm / POJlib.js

    switch(getQueryVariable("reference"))
    {
        case "MHW":
                oChart.OffsetMode = getQueryVariable("reference");
                oChart.OffsetModeLong = "mittleres Hochwasser";
            break;
        case "MW":
                oChart.OffsetMode = getQueryVariable("reference");
                oChart.OffsetModeLong = "mittlerer Wasserstand";
                CharacteristicValueText
             break;
        case "MNW":
                oChart.OffsetMode = getQueryVariable("reference");
                oChart.OffsetModeLong = "mittleres Niedrigwasser";
             break;
        default:
                oChart.OffsetMode = "MW";
                oChart.OffsetModeLong = "mittlerer Wasserstand";
        
    }
}

function loadTimespanListBox(ListBoxID)
{  // Initialisiert die Listbox fr mgliche Intervalle
    for(var i = 0 ; i < 30 ;i++)
    {
        document.getElementById(ListBoxID).options[i] = new Option(i+1,i);
        
    }
}

function loadReferenceListbox(ListBoxID)
{ // Initialisiert die Listbox fr mgliche Bezugswerte

   if(getQueryVariable("reference") == "MW")
        document.getElementById(ListBoxID).options[0] =  new Option("mittleren Wasserstand","MW",false,true);
    else
        document.getElementById(ListBoxID).options[0] =  new Option("mittleren Wasserstand","MW");
        
   if(getQueryVariable("reference") == "MNW")
        document.getElementById(ListBoxID).options[1] = new Option("mittleres Niedrigwasser","MNW",false,true); 
    else
        document.getElementById(ListBoxID).options[1] = new Option("mittleres Niedrigwasser","MNW");
        
    if(getQueryVariable("reference") == "MHW")    
        document.getElementById(ListBoxID).options[2] = new Option("mittleres Hochwasser","MHW",false,true); 
    else 
        document.getElementById(ListBoxID).options[2] = new Option("mittleres Hochwasser","MHW"); 
    
}